      SUBROUTINE LIT1XCAR(IEV,XCUR,YCUR)
      INCLUDE 'Parametres.f'
C 
 1    call getxycx11(iev,ixposcurs,iyposcurs
     &              ,ixposcurs_root,iyposcurs_root)
c fleche gauche 1100
c fleche droite 1102
c escape 27
c fin 1103
      if ((iev.ge.32.and.iev.le.127).or.
     &     iev.eq.8.or.iev.eq.13.or.iev.eq.27
     & .or.iev.eq.1100.or.iev.eq.1102.or.iev.eq.1103) then
        return
      elseif(iev.ge.251.and.iev.le.255) then
        xcur = (real(ixposcurs)-origine_x)/facteur_en_x
        ycur = (real(iyposcurs)-origine_y)/facteur_en_y
      else
        goto 1
      endif
      end
